Name:           perl-Path-Tiny
Version:        0.122
Release:        1%{?org_tag}%{?dist}
Summary:        File path utility
License:        Apache Software License
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Path-Tiny/
Source0:        http://localhost/cpan//authors/id/D/DA/DAGOLDEN/Path-Tiny-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-interpreter
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl >= 0:5.008001
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.17
BuildRequires:  perl(Digest) >= 1.03
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Digest::SHA) >= 5.45
BuildRequires:  perl(Exporter) >= 5.57
BuildRequires:  perl(File::Path) >= 2.07
BuildRequires:  perl(File::Spec) >= 3.40
BuildRequires:  perl(File::Temp) >= 0.19
BuildRequires:  perl(File::Spec) >= 3.40
BuildRequires:  perl(File::Temp) >= 0.19
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Unicode::UTF8) >= 0.58
BuildRequires:  perl(CPAN::Meta) >= 2.120900
BuildRequires:  perl(Test::FailWarnings)
BuildRequires:  perl(Test::MockRandom)
Requires:       perl(Digest) >= 1.03
Requires:       perl(Digest::SHA) >= 5.45
Requires:       perl(Exporter) >= 5.57
Requires:       perl(File::Path) >= 2.07
Requires:       perl(File::Spec) >= 3.40
Requires:       perl(File::Temp) >= 0.19
Requires:       perl(Unicode::UTF8) >= 0.58
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Autoreq:        no
%if %{rhel} >= 8
Provides:       perl(Path::Tiny) = %{version}
%endif

%description
This module attempts to provide a small, fast utility for working with file
paths. It is friendlier to use than File::Spec and provides easy access to
functions from several other core file handling modules.

%prep
%setup -q -n Path-Tiny-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes CONTRIBUTING.mkdn dist.ini LICENSE META.json perlcritic.rc README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Feb 08 2022 Gavin Carr <gavin@openfusion.net> 0.122-1
- Update to version 0.122.

* Mon Dec 14 2015 Gavin Carr <gavin@openfusion.com.au> 0.076-1
- Update to version 0.076.

* Thu Jul 24 2014 Gavin Carr <gavin@openfusion.com.au> 0.055-1
- Update to version 0.055.

* Wed Mar 20 2013 Gavin Carr <gavin@openfusion.com.au> 0.015-1
- Specfile autogenerated by cpanspec 1.79.
